public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/pundit/
Date: Sat, 19 Jan 2019 08:07:51 +0000 (UTC)	[thread overview]
Message-ID: <1547884916.3f95500b0509e2afbbd0f468989d6b4f0bbbdc8a.graaff@gentoo> (raw)

commit:     3f95500b0509e2afbbd0f468989d6b4f0bbbdc8a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 19 08:01:56 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jan 19 08:01:56 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f95500b

dev-ruby/pundit: add 2.0.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-ruby/pundit/Manifest            |  1 +
 dev-ruby/pundit/pundit-2.0.1.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/dev-ruby/pundit/Manifest b/dev-ruby/pundit/Manifest
index 1f9b33f2f7f..5ef411468d3 100644
--- a/dev-ruby/pundit/Manifest
+++ b/dev-ruby/pundit/Manifest
@@ -1,2 +1,3 @@
 DIST pundit-1.1.0.gem 22016 BLAKE2B 912f359cb4530c4f65622c3a7bee48a7d84757e4c8327398dbb4e4e170a35f4811c018224aac752b6c2ae54bc93e65b5e0b46f0bb191da57355b55ea0e8d0eaa SHA512 ea7e8ef9e4b280f451810ba193dc5b27a75ecfb050eed674246034ebb687e8302aee8826c022090553b643b41c85adec4d3234f545ab2a59ececa461fe4e4b3a
 DIST pundit-2.0.0.gem 25088 BLAKE2B 8fc4e0d40a56fa05f04b7a79e33039d08987a0df3b150f77c7428cdc10fb847477f1a04e7cd7772c86063d3095904202207e11e87a01766bc643e7befaee9957 SHA512 e6b37896e107a14fe40380a3a4e00f90fe7ef4f62bab252b4cb8b9854e5cba062d0d9680f9c9cb224384dc186f9ff3d5acca367d93a1cea297d63b422da689eb
+DIST pundit-2.0.1.gem 25088 BLAKE2B 6304a2ae057edf14131d93ec85d879dfd93491c2bcce159522e166743bf0498425996db203c25d0bb7e57c3ba5c5db6c1db2722e7c3f940f5ef2b7ec6ec5f561 SHA512 8a4efe44741d13696555e18b8f2b0f5ceaafd0b38d6cdf24b9f64596fdf1c0aa9cec607fd3771c634b7817d204e4217f52902e69057174cd1bf06833483e373f

diff --git a/dev-ruby/pundit/pundit-2.0.1.ebuild b/dev-ruby/pundit/pundit-2.0.1.ebuild
new file mode 100644
index 00000000000..9c4761ec8ec
--- /dev/null
+++ b/dev-ruby/pundit/pundit-2.0.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="doc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Object oriented authorization for Rails applications"
+HOMEPAGE="https://github.com/elabs/pundit https://rubygems.org/gems/pundit"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/activesupport-3.0.0:*"
+
+ruby_add_bdepend "test? ( >=dev-ruby/actionpack-3.0.0
+	>=dev-ruby/activemodel-3.0.0 )"
+
+all_ruby_prepare() {
+	sed -i -e "/pry/d" spec/spec_helper.rb || die
+}


             reply	other threads:[~2019-01-19  8:07 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-01-19  8:07 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-05  6:54 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/pundit/ Hans de Graaff
2024-11-15 12:25 Hans de Graaff
2024-08-27  5:40 Hans de Graaff
2024-08-27  5:40 Hans de Graaff
2024-05-09  4:59 Hans de Graaff
2023-08-29 16:53 Hans de Graaff
2023-07-18  4:46 Hans de Graaff
2023-07-11  4:37 Hans de Graaff
2023-07-11  4:37 Hans de Graaff
2022-12-23  7:48 Hans de Graaff
2022-10-02 17:03 Hans de Graaff
2022-06-26  6:20 Hans de Graaff
2022-05-01  6:34 Hans de Graaff
2022-03-26  7:48 Hans de Graaff
2022-02-22 18:50 Hans de Graaff
2021-08-15  7:41 Hans de Graaff
2021-08-14  7:01 Hans de Graaff
2020-09-05  8:01 Hans de Graaff
2020-05-12 14:28 Hans de Graaff
2019-11-09  6:28 Hans de Graaff
2019-08-14 17:06 Hans de Graaff
2018-07-23  5:17 Hans de Graaff
2018-06-20  5:21 Hans de Graaff
2018-02-08  6:25 Hans de Graaff
2017-03-21 14:02 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1547884916.3f95500b0509e2afbbd0f468989d6b4f0bbbdc8a.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox